#1 - 02/17/2017 07:15 AM - Luke Murphey

Old name New name Notes

value.deploy.splunk_home deploy.splunk_home

value.build.packageoutput.directory package.output_directory

value.build.minimize package.minimize

value.deploy.minimize deploy.minimize

value.src.directory build.src_directory

value.build.number build.number

skip_bump deploy.skip_bump No change, though the value is largely ignored

and the operation is done on the presence of

the variable, not its value

value.version.number build.version_number

absolute_src_path build.absolute_src_path This is internal only

value.build.appname build.appname This is internal only

value.temp.directory build.temp_directory This is internal only

value.build.date build.date

value.temp.tar_package.file package.tar_file_name This is internal only

value.deploy.bump deploy.bump_value This is internal only

value.deploy.bump_updated deploy.new_bump_value

value.deploy.splunk_username deploy.splunk_username

value.deploy.splunk_password deploy.splunk_password

value.deploy.splunk_url deploy.splunk_url
#2 - 02/17/2017 07:21 AM - Luke Murphey

Wondering if "deploy" should actually be "install" (see https://wiki.apache.org/ant/TheElementsOfAntStyle).

#3 - 02/17/2017 07:39 AM - Luke Murphey

Prefixing the names might still make sense, just without "value".

I could use this:

build (for generic building)

package (for packaging specific things)

deploy (for local testing)

#4 - 02/28/2017 05:00 AM - Luke Murphey

- Project changed from Splunk Apps to Splunk Build Script
